#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QWidget>
#include <QMainWindow>
#include <QGraphicsView>
#include <QGraphicsScene>
#include <QStandardItemModel>

#include <brlcad/ConstDatabase.h>

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
    BRLCAD::ConstDatabase database;
    const char *databaseTitle;
    QGraphicsScene *scene;
    QGraphicsView *view;
    QMenu *fileMenu;
    QMenu *viewMenu;
    QStandardItemModel *model;
    QDockWidget *dockWidget;

    explicit MainWindow(QWidget *parent = 0);
    void openDialog();
    void open(char *filePath);
    void createListDockWidget();
    void objectClicked(const QModelIndex &index);
};

#endif